curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=progressBar-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"offerId": "67890abcdef1234567890123",
"active": true,
"description": "This is my progress bar offer description.",
"displayName": "My ProgresBar Offer",
"name": "My ProgressBar Offer 1",
"type": "ProgressBar",
"offerUi": {
"offerUiId": "67890abcdef1234567890124",
"active": true,
"offerUiType": "ProgressBar",
"name": "ProgressBar Design 1",
"description": "Progress Bar UI design template",
"backgroundImage": "https://media-dev.appcharge.com/media/6555b69c02ee8eca00465694/background-image.png",
"progressBar": {
"barFillColor": {
"colorOne": "#FFD450",
"colorTwo": "#EDB923",
"gradientDirection": "to bottom"
},
"barRadius": 12,
"accumulatedItem": {
"imageUrl": "https://media-dev.appcharge.com/media/6555b69c02ee8eca00465694/pngtree-game-three-stars-png-image_4524815.jpeg",
"backgroundColor": {
"colorOne": "#FFD450",
"colorTwo": "#EDB923",
"gradientDirection": "to right"
}
},
"backgroundOpacity": 80,
"frameRadius": 12
},
"borderColor": {
"colorOne": "#DBBD9C",
"colorTwo": "#DBBD9C",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#DABA98",
"colorTwo": "#FDFCF9",
"gradientDirection": "to right"
},
"borderWidth": 3,
"externalId": "ProgressBar 1"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "coins",
"name": "coins",
"textFontColorHex": "#cb1010",
"type": "Quantity",
"prefix": "+",
"suffix": "",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/asset.png"
},
{
"type": "productPrefix",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/prefix-icon.png"
}
],
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-11-20T14:22:00.000Z",
"displayName": "Coins",
"description": "In-game currency used for purchases.",
"productId": "67890abcdef1234567890125"
},
"publisherProductId": "coins",
"quantity": 300,
"priority": "Main",
"quantityDisplay": "+ 300"
}
],
"priceInUsdCents": 0,
"barSize": 10,
"id": "67890abcdef1234567890126"
},
{
"index": 2,
"products": [
{
"product": {
"publisherProductId": "coins",
"name": "coins",
"textFontColorHex": "#cb1010",
"type": "Quantity",
"prefix": "+",
"suffix": "",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/asset.png"
},
{
"type": "productPrefix",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/prefix-icon.png"
}
],
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-11-20T14:22:00.000Z",
"displayName": "Coins",
"description": "In-game currency used for purchases.",
"productId": "67890abcdef1234567890125"
},
"publisherProductId": "coins",
"quantity": 500,
"priority": "Main",
"quantityDisplay": "+ 500"
}
],
"priceInUsdCents": 0,
"barSize": 20,
"id": "67890abcdef1234567890127"
}
],
"publisherId": "6555b69c02ee8eca00465694",
"publisherOfferId": "progressBar-1",
"schedule": {
"permanent": false,
"timeFrames": [
{
"startTime": "2025-11-01T12:05:00.000Z",
"endTime": "2025-11-22T12:10:00.000Z",
"notes": "Holiday promotion period.",
"id": "67890abcdef1234567890128"
}
]
},
"segments": [
"New User",
"VIP Player"
],
"createdAt": "2024-11-15T09:30:00.000Z",
"updatedAt": "2024-11-15T09:30:00.000Z"
}
]
}
Progress Bars
Get Progress Bar
Retrieves one or more Progress Bar offers.
GET
/
v2
/
offer
curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=progressBar-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"offerId": "67890abcdef1234567890123",
"active": true,
"description": "This is my progress bar offer description.",
"displayName": "My ProgresBar Offer",
"name": "My ProgressBar Offer 1",
"type": "ProgressBar",
"offerUi": {
"offerUiId": "67890abcdef1234567890124",
"active": true,
"offerUiType": "ProgressBar",
"name": "ProgressBar Design 1",
"description": "Progress Bar UI design template",
"backgroundImage": "https://media-dev.appcharge.com/media/6555b69c02ee8eca00465694/background-image.png",
"progressBar": {
"barFillColor": {
"colorOne": "#FFD450",
"colorTwo": "#EDB923",
"gradientDirection": "to bottom"
},
"barRadius": 12,
"accumulatedItem": {
"imageUrl": "https://media-dev.appcharge.com/media/6555b69c02ee8eca00465694/pngtree-game-three-stars-png-image_4524815.jpeg",
"backgroundColor": {
"colorOne": "#FFD450",
"colorTwo": "#EDB923",
"gradientDirection": "to right"
}
},
"backgroundOpacity": 80,
"frameRadius": 12
},
"borderColor": {
"colorOne": "#DBBD9C",
"colorTwo": "#DBBD9C",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#DABA98",
"colorTwo": "#FDFCF9",
"gradientDirection": "to right"
},
"borderWidth": 3,
"externalId": "ProgressBar 1"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "coins",
"name": "coins",
"textFontColorHex": "#cb1010",
"type": "Quantity",
"prefix": "+",
"suffix": "",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/asset.png"
},
{
"type": "productPrefix",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/prefix-icon.png"
}
],
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-11-20T14:22:00.000Z",
"displayName": "Coins",
"description": "In-game currency used for purchases.",
"productId": "67890abcdef1234567890125"
},
"publisherProductId": "coins",
"quantity": 300,
"priority": "Main",
"quantityDisplay": "+ 300"
}
],
"priceInUsdCents": 0,
"barSize": 10,
"id": "67890abcdef1234567890126"
},
{
"index": 2,
"products": [
{
"product": {
"publisherProductId": "coins",
"name": "coins",
"textFontColorHex": "#cb1010",
"type": "Quantity",
"prefix": "+",
"suffix": "",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/asset.png"
},
{
"type": "productPrefix",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/prefix-icon.png"
}
],
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-11-20T14:22:00.000Z",
"displayName": "Coins",
"description": "In-game currency used for purchases.",
"productId": "67890abcdef1234567890125"
},
"publisherProductId": "coins",
"quantity": 500,
"priority": "Main",
"quantityDisplay": "+ 500"
}
],
"priceInUsdCents": 0,
"barSize": 20,
"id": "67890abcdef1234567890127"
}
],
"publisherId": "6555b69c02ee8eca00465694",
"publisherOfferId": "progressBar-1",
"schedule": {
"permanent": false,
"timeFrames": [
{
"startTime": "2025-11-01T12:05:00.000Z",
"endTime": "2025-11-22T12:10:00.000Z",
"notes": "Holiday promotion period.",
"id": "67890abcdef1234567890128"
}
]
},
"segments": [
"New User",
"VIP Player"
],
"createdAt": "2024-11-15T09:30:00.000Z",
"updatedAt": "2024-11-15T09:30:00.000Z"
}
]
}
curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=progressBar-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"offerId": "67890abcdef1234567890123",
"active": true,
"description": "This is my progress bar offer description.",
"displayName": "My ProgresBar Offer",
"name": "My ProgressBar Offer 1",
"type": "ProgressBar",
"offerUi": {
"offerUiId": "67890abcdef1234567890124",
"active": true,
"offerUiType": "ProgressBar",
"name": "ProgressBar Design 1",
"description": "Progress Bar UI design template",
"backgroundImage": "https://media-dev.appcharge.com/media/6555b69c02ee8eca00465694/background-image.png",
"progressBar": {
"barFillColor": {
"colorOne": "#FFD450",
"colorTwo": "#EDB923",
"gradientDirection": "to bottom"
},
"barRadius": 12,
"accumulatedItem": {
"imageUrl": "https://media-dev.appcharge.com/media/6555b69c02ee8eca00465694/pngtree-game-three-stars-png-image_4524815.jpeg",
"backgroundColor": {
"colorOne": "#FFD450",
"colorTwo": "#EDB923",
"gradientDirection": "to right"
}
},
"backgroundOpacity": 80,
"frameRadius": 12
},
"borderColor": {
"colorOne": "#DBBD9C",
"colorTwo": "#DBBD9C",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#DABA98",
"colorTwo": "#FDFCF9",
"gradientDirection": "to right"
},
"borderWidth": 3,
"externalId": "ProgressBar 1"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "coins",
"name": "coins",
"textFontColorHex": "#cb1010",
"type": "Quantity",
"prefix": "+",
"suffix": "",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/asset.png"
},
{
"type": "productPrefix",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/prefix-icon.png"
}
],
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-11-20T14:22:00.000Z",
"displayName": "Coins",
"description": "In-game currency used for purchases.",
"productId": "67890abcdef1234567890125"
},
"publisherProductId": "coins",
"quantity": 300,
"priority": "Main",
"quantityDisplay": "+ 300"
}
],
"priceInUsdCents": 0,
"barSize": 10,
"id": "67890abcdef1234567890126"
},
{
"index": 2,
"products": [
{
"product": {
"publisherProductId": "coins",
"name": "coins",
"textFontColorHex": "#cb1010",
"type": "Quantity",
"prefix": "+",
"suffix": "",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/asset.png"
},
{
"type": "productPrefix",
"url": "https://media-dev.appcharge.com/media/63e53f149e43bf44513e15c3/prefix-icon.png"
}
],
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-11-20T14:22:00.000Z",
"displayName": "Coins",
"description": "In-game currency used for purchases.",
"productId": "67890abcdef1234567890125"
},
"publisherProductId": "coins",
"quantity": 500,
"priority": "Main",
"quantityDisplay": "+ 500"
}
],
"priceInUsdCents": 0,
"barSize": 20,
"id": "67890abcdef1234567890127"
}
],
"publisherId": "6555b69c02ee8eca00465694",
"publisherOfferId": "progressBar-1",
"schedule": {
"permanent": false,
"timeFrames": [
{
"startTime": "2025-11-01T12:05:00.000Z",
"endTime": "2025-11-22T12:10:00.000Z",
"notes": "Holiday promotion period.",
"id": "67890abcdef1234567890128"
}
]
},
"segments": [
"New User",
"VIP Player"
],
"createdAt": "2024-11-15T09:30:00.000Z",
"updatedAt": "2024-11-15T09:30:00.000Z"
}
]
}
Headers
The publisher token used for authentication.
Query Parameters
The unique identifier for the offer. To retrieve multiple Progress Bar offers, separate them with a comma.
Example:
"progressBar-1,progressBar-2"
Was this page helpful?
⌘I
